Priority: Normal Due date:  

Assignee:  % Done: 40%

Category: Portability Estimated time: 0.00 hour

Target version: CoCoA-5.4.2 Spent time: 0.95 hour

Description

When the source code for CoCoA-5 is updated to C++11, several aspects will need to be reconsidered.

The purpose of this task is to gather a list of those aspects.

Related issues:

Related to CoCoALib - Feature #82: C++11 compatibility questions Closed 26 Jan 2012

Related to CoCoALib - Feature #357: Constructor for vectors?  CoCoAVector Rejected 24 May 2013

Related to CoCoALib - Feature #152: Replace bool3 by tribool Closed 04 May 2012

Related to CoCoALib - Design #891: Replace auto_ptr in preparation for C++11? Closed 17 Jun 2016

Related to CoCoALib - Design #894: strict enum types: C++11 extension In Progress 21 Jun 2016

Related to CoCoALib - Feature #1010: C++11: Mario's Hilbert scheme code New 20 Feb 2017

Related to CoCoALib - Design #710: Update normaliz interface? In Progress 17 May 2015

Related to CoCoALib - Design #999: configuration: include -std=c++03 by default? Closed 18 Jan 2017

Related to CoCoA-5 - Support #1240: John's visit Feb 2019 Closed 08 Feb 2019

History

#1 - 26 Jan 2012 15:02 - John Abbott

The BOOST class shared_ptr is used in the C5 interpreter (in files AST, Interpreter, Parser).  The standard library of C++11 offers a very similar class;

we should probably switch to using the standard class (if possible).

#2 - 23 Jan 2013 12:33 - Anna Maria Bigatti

- Category set to Portability

#3 - 29 May 2013 12:12 - John Abbott

C++11 offers some convenient ways of creating a std::vector containing explicitly given elements.  Right now I do not recall how simple/readable the

syntax is.

This may let us simplify some fn interfaces (e.g. the function ideal which accepts 1,2,3,4 args so that users do not have to go through the tedious

hassle of creating a std::vector).

#4 - 08 Jul 2013 14:27 - John Abbott

C++11 has a more flexible exception mechanism than the one in C++.  Reconsider the design of CoCoALib exceptions (see also #385).

#5 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#6 - 09 Apr 2014 17:31 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#7 - 01 Sep 2014 13:57 - John Abbott

20 Apr 2024 1/2

https://cocoa.dima.unige.it/redmine/issues/385


- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.?.?

#8 - 17 Jun 2016 14:37 - John Abbott

- Related to Feature #357: Constructor for vectors?  CoCoAVector added

#9 - 17 Jun 2016 14:37 - John Abbott

- Related to Feature #152: Replace bool3 by tribool added

#10 - 17 Jun 2016 14:39 - John Abbott

What is the difference between issues #82 and #83 (this one)?

#11 - 17 Jun 2016 22:17 - John Abbott

- Related to Design #891: Replace auto_ptr in preparation for C++11? added

#12 - 21 Jun 2016 14:47 - John Abbott

- Related to Design #894: strict enum types: C++11 extension added

#13 - 20 Feb 2017 13:22 - John Abbott

- Related to Feature #1010: C++11: Mario's Hilbert scheme code added

#14 - 06 Nov 2017 13:43 - John Abbott

- Related to Design #710: Update normaliz interface? added

#15 - 08 Nov 2017 17:08 - John Abbott

- Related to Design #999: configuration: include -std=c++03 by default? added

#16 - 04 Mar 2019 13:40 - Anna Maria Bigatti

- Related to Support #1240: John's visit Feb 2019 added

#17 - 07 Mar 2019 09:49 - Anna Maria Bigatti

- Tracker changed from Feature to Design

- Status changed from New to In Progress

- Target version changed from CoCoA-5.?.? to CoCoA-5.3.0

- % Done changed from 0 to 10

#18 - 01 Oct 2019 14:40 - John Abbott

- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.0

#19 - 22 Jan 2021 10:54 - John Abbott

- % Done changed from 10 to 40

#20 - 03 Feb 2022 19:59 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2
